% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stack.r
\name{stack}
\alias{stack}
\title{Stacks arrays while respecting names in each dimension}
\usage{
stack(..., along = length(dim(arrayList[[1]])) + 1, fill = NA,
  drop = FALSE, keep_empty = FALSE, allow_overwrite = FALSE,
  fail_if_empty = TRUE)
}
\arguments{
\item{...}{N-dimensional arrays, or a list thereof}

\item{along}{Which axis arrays should be stacked on (default: new axis)}

\item{fill}{Value for unknown values (default: \code{NA})}

\item{drop}{Drop unused dimensions (default: FALSE)}

\item{keep_empty}{Keep empty elements when stacking (default: FALSE)}

\item{allow_overwrite}{Overwrite values if more arrays share same key}

\item{fail_if_empty}{Stop if no arrays left after removing empty elements}
}
\value{
A stacked array, either n or n+1 dimensional
}
\description{
Stacks arrays while respecting names in each dimension
}
